org.eclipse.emf.cdo.security

## Class RealmUtil

- java.lang.Object
- - org.eclipse.emf.cdo.security.RealmUtil

-     public final class RealmUtil
      extends java.lang.Object

  Various static helper methods for dealing with `realms`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BasicEList<Group>` | `allGroups(EList<SecurityItem> items)`
    `static BasicEList<Permission>` | `allPermissions(EList<SecurityItem> items)`
    `static BasicEList<Role>` | `allRoles(EList<SecurityItem> items)`
    `static BasicEList<User>` | `allUsers(EList<SecurityItem> items)`
    `static Group` | `findGroup(EList<SecurityItem> items, java.lang.String groupID)`
    `static Role` | `findRole(EList<SecurityItem> items, java.lang.String roleID)`
    `static User` | `findUser(EList<SecurityItem> items, java.lang.String userID)`
    `static Group` | `removeGroup(EList<SecurityItem> items, java.lang.String groupID)`
    `static Role` | `removeRole(EList<SecurityItem> items, java.lang.String roleID)`
    `static User` | `removeUser(EList<SecurityItem> items, java.lang.String userID)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### findUser

          public static User findUser(EList<SecurityItem> items,
                                      java.lang.String userID)

    - #### findGroup

          public static Group findGroup(EList<SecurityItem> items,
                                        java.lang.String groupID)

    - #### findRole

          public static Role findRole(EList<SecurityItem> items,
                                      java.lang.String roleID)

    - #### removeUser

          public static User removeUser(EList<SecurityItem> items,
                                        java.lang.String userID)

      Since:
        4.2

    - #### removeGroup

          public static Group removeGroup(EList<SecurityItem> items,
                                          java.lang.String groupID)

      Since:
        4.2

    - #### removeRole

          public static Role removeRole(EList<SecurityItem> items,
                                        java.lang.String roleID)

      Since:
        4.2

    - #### allUsers

          public static BasicEList<User> allUsers(EList<SecurityItem> items)

    - #### allGroups

          public static BasicEList<Group> allGroups(EList<SecurityItem> items)

    - #### allRoles

          public static BasicEList<Role> allRoles(EList<SecurityItem> items)

    - #### allPermissions

          public static BasicEList<Permission> allPermissions(EList<SecurityItem> items)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html